package com.cooleshow.teacher.contract;

import com.cooleshow.base.presenter.view.BaseView;
import com.cooleshow.teacher.bean.LiveCourseListBean;
import com.cooleshow.teacher.bean.VideoCourseListBean;

/**
 * Author by pq, Date on 2022/4/20.
 */
public interface VideoCourseContract {

    interface VideoCourseView extends BaseView {
        void onGetVideoCourseSuccess(int page, VideoCourseListBean liveCourseListBean);

        void onGetCourseError(int page);
    }

    interface Presenter {
        void queryVideoCourse(boolean isShowLoading,int subjectId, int page);
    }
}
